/*   
 *
 *   Copyright (c) 2003 Lonesome, OSDev Group & Peter Zotov
 *
 *   http://tyros.sourceforge.net/
 *   http://sourceforge.net/projects/tyros/
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program (see the file COPYING); if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *   Boston, MA  02111-1307, USA
 *
 *
 */

#include <tyros.h>
#include <ntx.h>

void dump_file();

int main(int argc, char *argv[])
{
dump_file();
}

#define BUFFER_SIZE 0x100 //should be multiply of 0x10

void dump_file()
{
char buffer[BUFFER_SIZE + 0x10];
int num;
int fd;
int i, n;
int position;
int address;

position = 0;
  
do 
 {
 num = read(stdin, buffer, BUFFER_SIZE);
 if(num == 0) 
  {
  break;
  }
 for(i = num; i < BUFFER_SIZE+0x10; i++)
  buffer[i] = 0;
 for(i = 0; i < num; i+=0x10) 
  {
  address = position + i;
  printf("%X: %x %x %x %x %x %x %x %x  %x %x %x %x %x %x %x %x ",
	     address, buffer[i], buffer[i+1], buffer[i+2], buffer[i+3],
	     buffer[i+4], buffer[i+5], buffer[i+6], buffer[i+7], buffer[i+8],
	     buffer[i+9], buffer[i+10], buffer[i+11], buffer[i+12], buffer[i+13],
	     buffer[i+14], buffer[i+15]);
  for(n=0; n<=15; n++)
   {
   if(buffer[i+n] >= '0' && buffer[i+n] <= '9')
    ;
   else if(buffer[i+n] >= 'a' && buffer[i+n] <= 'z')
    ;
   else if(buffer[i+n] >= 'A' && buffer[i+n] <= 'Z')
    ;
   else
    switch(buffer[i+n])
     {
     case '.':
     case ',':
     case '~':
     case '!':
     case '@':
     case '#':
     case '$':
     case '%':
     case '^':
     case '&':
     case '*':
     case '(':
     case ')':
     case '-':
     case '+':
     case '/':
     case '?':
     case '\\':
     case '{':
     case '}':
     case '[':
     case ']':
     case '|':
     case ' ':
     case ';':
     case ':':
     case '"':
     case '\'':
     case '`':
     case '<':
     case '>':
     case '_':
     break;
     
     default:
     buffer[i+n] = '.';
     }
   }
  printf("|%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c|\n",
	     buffer[i], buffer[i+1], buffer[i+2], buffer[i+3],
	     buffer[i+4], buffer[i+5], buffer[i+6], buffer[i+7], buffer[i+8],
	     buffer[i+9], buffer[i+10], buffer[i+11], buffer[i+12], buffer[i+13],
	     buffer[i+14], buffer[i+15]);
  }
 position += BUFFER_SIZE;
 } while (num != 0);    
}
