/*   
 *
 *   Copyright (c) 2003 Lonesome, OSDev Group & Peter Zotov
 *
 *   http://tyros.sourceforge.net/
 *   http://sourceforge.net/projects/tyros/
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program (see the file COPYING); if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *   Boston, MA  02111-1307, USA
 *
 *
 */

#ifndef _FILESYSTEMS_H_
#define _FILESYSTEMS_H_

#define VFS_VFSROOT 1
#define VFS_INFOFS 2
#define VFS_DEVFS 3
#define VFS_IRDFS 4
#define VFS_PROCFS 5
#define VFS_MEMFS 6
#define VFS_CONTROLFS 7

#define VFS_FAT12 65
#define VFS_FAT32 66

/*
  note:
  
  if you add your own filesystems, 
  PLEASE dont use ids 1 - 64 
  (i'd like to see there  all procFSs, infoFSs, devFSs and such) 
  
  (who cares about lost 64*sizeof(vfs_handler_t *) bytes of memory? :))
*/

#endif
