/*   
 *
 *   Copyright (c) 2003 Lonesome, OSDev Group & Peter Zotov
 *
 *   http://tyros.sourceforge.net/
 *   http://sourceforge.net/projects/tyros/
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program (see the file COPYING); if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *   Boston, MA  02111-1307, USA
 *
 *
 */

#ifndef _CORE_H_
#define _CORE_H_

#include "ipc.h"
#include "stdlib.h"
#include "msgs.h"
#include "syscalls.h"

int outport(unsigned short port, unsigned short value);
char inport(unsigned short port);
int request_system_memory_area (unsigned int address, int npages, int flags);
int attach (int vector, int header, int flags);
int detach (int vector, int id);
int load_task(void *entry, int pl, int flags);
int load_thread (tid_t tid, void *entry);

#endif
