/*   
 *
 *   Copyright (c) 2003 Lonesome, OSDev Group & Peter Zotov
 *
 *   http://tyros.sourceforge.net/
 *   http://sourceforge.net/projects/tyros/
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program (see the file COPYING); if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *   Boston, MA  02111-1307, USA
 *
 *
 */

#ifndef _SYSCALLS_H_
#define _SYSCALLS_H_

enum {
  SC_IPC_SET_SIGHANDLER = 1,
  SC_IPC_SEND_SIGNAL,
  SC_LOAD_TASK,
  SC_LOAD_THREAD,
  SC_IPC_MSG_SEND,
  SC_IPC_MSG_RECV,
  SC_IPC_MSG_WAIT,
  SC_REGISTER_RPC,
  SC_INVOKE_RPC,
  SC_MORECORE,
  SC_ATTACH,
  SC_DETACH,
  SC_REQ_SYS_MEM,
  SC_INPORT,
  SC_OUTPORT,
  
  SC_OPEN,
  SC_CLOSE,
  SC_READ,
  SC_WRITE,
  
  SC_FORK,
  SC_EXIT,
  SC_EXECVE,
  SC_WAITPID,
  
  SC_LAUNCH,

  SC_CHDIR,

  SC_STAT,

  SC_UNLINK,
  SC_MKDIR,
  SC_MOUNT,
  
  SC_WINDOW,
  SC_WIN_TEXTOUT,
  SC_WIN_MAPOUT

};

#endif
