/*
 *   startup.c - user-space startup 
 *
 *
 *   Copyright (c) 2006 Peter Zotov
 *
 *   http://tyros.sourceforge.net/
 *   http://sourceforge.net/projects/tyros/
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program (see the file COPYING); if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *   Boston, MA  02111-1307, USA
 *
 *
 */  



#include <tyros.h>
#include <ntx.h>
#include <syscalls.h>

extern char **environ;

int main(int argc, char *argv[])
{
int child;
int status;
char buffer[0x1001];
char **targv;
int config;

targv = malloc(12);
targv[0] = "/mnt/rd/ntxsh";
targv[2] = NULL;
/*  
config = open("/mnt/rd/startup.cfg", 0);
if(config == -1)
 printf("startup: cannot open '/mnt/rd/startup.cfg'!\n");
else
 {
 int len = read(config, buffer, 0x1000);
 char* buf = buffer;
 int pos = 0;
 if(len == -1)
  printf("startup: cannot read '/mnt/rd/startup.cfg'!\n");
 else
  {
  printf("startup: %d bytes\n", len);
  while(1)
   {
   do { pos++; printf("%i", pos); } while(buf[pos] != '\n' || pos >= len-1);
   if(pos >= len-1)
    break;
   printf("startup: setting 0 at %d\n", pos);
   buf[pos] = 0;
   printf("startup: executing '%s' with '/mnt/rd/ntxsh'...\n", buf + pos + 1);
   targv[1] = buf + pos + 1;
   child = ntx_launch ("/mnt/rd/ntxsh", targv, environ);
   waitpid(child, &status, 0); 
   }
  }
  close(config);
 }
*/ 

targv[1] = NULL;
for(;;) 
 {
 child = ntx_launch ("/mnt/rd/ntxsh", targv, environ);
 waitpid(child, &status, 0);
 printf("startup: child process has died, respawning...\n");
 }
}
