/*   
 *
 *   Copyright (c) 2003 Lonesome, OSDev Group & Peter Zotov
 *
 *   http://tyros.sourceforge.net/
 *   http://sourceforge.net/projects/tyros/
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program (see the file COPYING); if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *   Boston, MA  02111-1307, USA
 *
 *
 */


#include <tyros.h>
#include <ntx.h>

void cat_file();

int main(int argc, char *argv[])
{
int fd;
if(argc > 1)
 {
 fd = open(argv[1], 0);
 if(fd)
  {
  close(stdin);
  stdin = fd;
  }
 }
cat_file();
}


#define BUFFER_SIZE 0x100

void cat_file()
{
  char buffer[BUFFER_SIZE + 1];
  int num;
  int fd;
  
  do {
    num = read(stdin, buffer, BUFFER_SIZE);

    if(num == 0 || num == -1) {
      break;
    }

    buffer[num] = 0;

    printf("%s", buffer);
  } while(TRUE);
    
}
