/*   
 *
 *   Copyright (c) 2003 Lonesome, OSDev Group & Peter Zotov
 *
 *   http://tyros.sourceforge.net/
 *   http://sourceforge.net/projects/tyros/
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program (see the file COPYING); if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *   Boston, MA  02111-1307, USA
 *
 *
 */

#include <tyros.h>
#include <ntx.h>
#include <gui.h>

int main(int argc, char **argv)
{
  int wmid;
  int i, j;
  map_t map;
  char *maparea;
  
  if(open("/sys/info/wm", 0) == -1) {
    printf("This program requires graphic mode!\n");
    return 0;
  }
  
  maparea = malloc(400);

  for(i = 0; i < 20; i++) {
    for(j = 0; j < 20; j++) {
      maparea[j*20 + i] = i;
    }
  }
  
  

  wmid = window(200, 300);
  win_textout (wmid, 0, 0, "WM");
  
  map.pix = maparea;
  map.width = 20;
  map.height = 20;
  map.mask = -1;
  
  win_mapout (wmid, 20,20, &map);
}


