/*   
 *
 *   Copyright (c) 2003 Lonesome, OSDev Group & Peter Zotov
 *
 *   http://tyros.sourceforge.net/
 *   http://sourceforge.net/projects/tyros/
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program (see the file COPYING); if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *   Boston, MA  02111-1307, USA
 *
 *
 */

#ifndef _GUI_H_
#define _GUI_H_

#define WINDOWS_MAX 0x100

//#define putp(x,y,c) lfb[(x) + (y)*800] = c
int putp(int x, int y, int c);

typedef struct ntx_window_st {
  int owner;
  int startx;
  int starty;
  int width;
  int height;
} ntx_window_t;

typedef struct mouse_state_st {
  int x;
  int y;
  int drx;
  int dry;
  int w;
  int h;
} mouse_state_t;

typedef struct ntx_windows_table_st {
  ntx_window_t window[WINDOWS_MAX];
} ntx_windows_table_t;

typedef struct ntx_pixel_map_st {
  char *pix;
  int width;
  int height;
  int mask;
} map_t;

#endif
