/*   
 *
 *   Copyright (c) 2003 Lonesome, OSDev Group & Peter Zotov
 *
 *   http://tyros.sourceforge.net/
 *   http://sourceforge.net/projects/tyros/
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program (see the file COPYING); if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *   Boston, MA  02111-1307, USA
 *
 *
 */

#ifndef _TABLES_H_
#define _TABLES_H_

#define IDT_TABLE 0x100000
#define IDT_REG 0x100800

#define SYS_CODE_SELECTOR 0x8
#define SYS_DATA_SELECTOR 0x10

#define USER_CODE_SELECTOR (0x18 | 3)
#define USER_DATA_SELECTOR (0x20 | 3)

#define SYS_TSS 0x28

#define RING0 0x80
#define RING3 0xf0
#define INTERRUPT_GATE 0x0e
#define TRAP_GATE 0x0f

#endif
